<script>
    export default {
        data() {
            return {
               /* Ranges: { 'Hôm nay': [moment(), moment()], 'Hôm qua': [moment().add('days', -1), moment().add('days', -1)], 'Tuần này': [moment().startOf('isoWeek'), moment().endOf('isoWeek')], 'Tuần trước': [moment().add(-1, 'weeks').startOf('isoWeek'), moment().add(-1, 'weeks').endOf('isoWeek')], 'Tháng này': [moment().startOf('month'), moment().endOf('month')], 'Tháng trước': [moment().subtract(1, 'months').startOf('month'), moment().subtract(1, 'months').endOf('month')] },*/
                Pagination: {
                    Total: 0,
                    PageIndex: 1,
                    PageSize: 25
                },
                Sort: {
                    Predicate: '',
                    Reverse: true
                },
                PageSizeOptions: ['5', '15', '25', '50', '100', '200', '500', '1000'],
                Items: []
            }
        },
        methods: {
            PageIndexChange(page) {
                this.Pagination.PageIndex = page;
                this.LoadData();
            },
            ShowSizeChange(page, size) {
                this.Pagination.PageIndex = page;
                this.Pagination.PageSize = size;
                this.LoadData();
            },
            
            ChangePageSize(current, size) {
                this.Pagination.PageSize = size;
                this.LoadData();
            },
            ChangePage(page, pageSize) {
                this.LoadData();
            },
        }
    }
</script>